## shotwell 0.20.2

=== debian/changelog ===
shotwell (0.20.2-0ubuntu0.14.10.2) utopic; urgency=medium

  * debian/control.in:
    - updated libsignon-glib requirement

  [ Alberto Mardegan ]
  * debian/patches/06_uoa.patch:
    Don't use the deprecated libaccounts and libsignon APIs
    Introspection annotations are wrong in some of those. (lp: #1382843)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Dec 2014 16:27:05 +0100

shotwell (0.20.2-0ubuntu0.14.10.1) utopic; urgency=medium

  * New upstream release 0.20.2
    - Fixes issue setting multiple images as a desktop slideshow (LP:
      #1380651)
    - Check for rendering failures in the thumbnailer

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 06 Nov 2014 11:07:15 +0000

shotwell (0.20.1-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix release.
    - Corrects problems with navigating photos in full-screen mode
    - Better memory utilization via more conservative pixbuf cache
    - Fixes minor bugs detected by better Vala code analysis

 -- Iain Lane <iain.lane@canonical.com>  Mon, 06 Oct 2014 12:07:16 +0100

shotwell (0.20.0-0ubuntu1) utopic; urgency=medium

  * New upstream version
  * debian/patches/06_uoa.patch:
    - refreshed for the new version
  * debian/patches/update_translation_list.patch: 
    - don't list deprecated source to translate

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Sep 2014 19:42:01 +0200

shotwell (0.18.1-0ubuntu2) utopic; urgency=medium

  * No-change rebuild to build against new vala with fixed GMutex/GCond
    bindings.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 15 Aug 2014 09:45:08 +0100

shotwell (0.18.1-0ubuntu1) utopic; urgency=medium

  [ Jackson Doak ]
  * New upstream release
    - Fix crash due to nested tag and changing sidebar selection. LP: #1322661
  * Drop git_flickr_url.patch, fixed upstream

  [ Robert Ancell]
  * debian/watch:
    - Update to GNOME FTP location

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 03 Jul 2014 11:41:07 +1200

shotwell (0.18.0-0ubuntu8) utopic; urgency=medium

  * debian/patches/git_flickr_url.patch:
    - Fix Flickr publishing (now HTTPs only) (lp: #1335600)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 01 Jul 2014 10:40:37 +0200

shotwell (0.18.0-0ubuntu7) utopic; urgency=medium

  * debian/patches/06_uoa.patch: use the correct uoa command (lp: #1314904)

  [ Martin Pitt ]
  * autopkgtest: Drop local copy of autopilot3-sandbox-run and bump test dep to
    the version that ships it.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 Jun 2014 12:41:43 +0200

shotwell (0.18.0-0ubuntu6) utopic; urgency=medium

  * Use local copy of autopilot3-sandbox-run, until it lands in
    python3-autopilot.
  * Update recorded ioctl for current libgphoto2 2.5.4.
  * Add at-spi2-core test dependency, to avoid long hangs (will eventually go
    to autopilot-desktop).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 May 2014 10:33:07 +0200

shotwell (0.18.0-0ubuntu5) utopic; urgency=high

  * No change rebuild against libraw10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 02:33:59 +0100
