=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 9),
               m4,
               valac (>= 0.18.0),
               libgee-0.8-dev (>= 0.8.0),
               libglib2.0-dev (>= 2.30.0),
               libgtk-3-dev (>= 3.6.0),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.4.90),
               libgphoto2-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libwebkitgtk-3.0-dev (>= 1.4.0),
               libgudev-1.0-dev (>= 145),
               libraw-dev (>= 0.14),
               libjson-glib-dev,
               libgstreamer1.0-dev (>= 1.0.0),
               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
               librest-dev,
               libaccounts-glib-dev,
               libsignon-glib-dev (>= 1.10daily13.06.25-0ubuntu3),
               libunity-dev,
               python-scour,
               desktop-file-utils,
               intltool,
               gnome-doc-utils,
Standards-Version: 3.9.4
Homepage: http://yorba.org/shotwell/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu
XS-Testsuite: autopkgtest

Package: shotwell
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell-common (= ${source:Version}),
         librsvg2-common,
         dbus-x11
Suggests: account-plugin-facebook, account-plugin-google, account-plugin-flickr, unity-control-center-signon
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.

Package: shotwell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: shotwell
Breaks: shotwell (<< 0.14.1-1)
Replaces: shotwell (<< 0.14.1-1)
Description: digital photo organizer - common files
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.
 .
 This package provides images and documentation for Shotwell

Package: shotwell-dbg
Priority: extra
Section: debug
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell (= ${binary:Version})
Description: digital photo organizer - debugging symbols
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others. It is able to manage a lot of different
 image formats, also including raw CR2 files.
 .
 This package contains the debugging symbols for Shotwell.
