=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/shotwell/([\d\.]+)/ \
	shotwell-(.*)\.tar\.xz
