=== debian/changelog ===
shotwell (0.22.0-0ubuntu5) wily; urgency=medium

  * debian/patches/06_uoa.patch:
    - use new facebook ID, thanks Alberto Mardegan (lp: #1453549)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Oct 2015 11:11:18 +0200

shotwell (0.22.0-0ubuntu4) wily; urgency=medium

  * Update autopilot test recorded ioctls for libgphoto 2.5.7.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 27 May 2015 16:05:56 +0200

shotwell (0.22.0-0ubuntu3) wily; urgency=medium

  * debian/tests/autopilot_tests/test_gphoto_import.py:
    - updated for the new version interface changes

  [ Alberto Mardegan ]
  * debian/patches/06_uoa.patch:
    - Request new facebook token when current is invalid (lp: #1453549)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 27 May 2015 11:58:48 +0200

shotwell (0.22.0-0ubuntu2) wily; urgency=medium

  * debian/patches/no_headerbar.patch:
    - Don't use GtkHeaderBar on dialogs if the gtk-dialogs-use-header setting
      is not set (LP: #1456965)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 26 May 2015 18:26:16 +1200

shotwell (0.22.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * debian/control:
    - Bump build-depends on libgtk-3-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 20 May 2015 16:00:53 +1200

shotwell (0.20.2-0ubuntu3) vivid; urgency=medium

  * No-change rebuild against new vala for fix in GStreamer bindings for
    CVE-2014-8154.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 15 Jan 2015 12:39:36 +0000

shotwell (0.20.2-0ubuntu2) vivid; urgency=medium

  * debian/control.in:
    - updated libsignon-glib requirement

  [ Alberto Mardegan ]
  * debian/patches/06_uoa.patch:
    Don't use the deprecated libaccounts and libsignon APIs
    Introspection annotations are wrong in some of those. (lp: #1382843)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Dec 2014 16:20:31 +0100

shotwell (0.20.2-0ubuntu1) vivid; urgency=medium

  * New upstream version, "Set Desktop Slideshow dialog resource now 
    included in distribution" (lp: #1380651)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 03 Nov 2014 17:30:20 +0100

shotwell (0.20.1-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/test/*:
      + Add autopilot autopkgtest to check import from a libgphoto2
        camera (simulated with umockdev, recorded from a Canon
        PowerShot SX200).
        debian/tests/import will run under a local session D-BUS
        and xvfb, but you can also run the test interactively with
        "cd debian/tests; autopilot run autopilot_tests".
    - debian/control:
      + Suggest account plugins.
      + Bump breaks/replaces since we didn't take the package
        split until now.
    - debian/control, debian/rules:
      + Run intltool-update on build.
      + Build-Depends on intltool.
    - debian/patches/02_desktop_translations.patch:
      + Don't translate the .desktop files, they work with gettext
        and the build system translates them all into English.
    - debian/patches/06_uoa.patch, debian/control:
      + Add Ubuntu Online Accounts support.
      + Build-Depends on libaccounts-glib-dev and libsignon-glib-dev.
    - debian/patches/update_translation_list.patch: 
      + Don't list deprecated source to translate.
    - debian/patches/libexec.patch, debian/rules:
      + Dropped, upstream supports libexecdir now.
      + Set libexec to /usr/lib/shotwell.
    - debian/control, debian/rules:
      + Build with Unity support.
      + Build-Depends on libunity-dev.
      + configure --disable-icon-update
    - debian/control, debian/rules:
      + Build with scour for SVG optimization.
      + Build-Depends on python-scour.
  * Drop following change, already fixed in Debian:
    - debian/watch: Update to GNOME FTP location.
  * Refresh patches.

 -- Artur Rona <ari-tczew@ubuntu.com>  Mon, 03 Nov 2014 00:10:54 +0100
