=== debian/control ===
--- 
+++ 
@@ -1,37 +1,37 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
-Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
-Build-Depends: debhelper (>= 9),
-               m4,
-               valac (>= 0.18.0),
-               libgee-0.8-dev (>= 0.8.0),
-               libglib2.0-dev (>= 2.30.0),
-               libgtk-3-dev (>= 3.6.0),
-               libexif-dev (>= 0.6.16),
-               libsqlite3-dev (>= 3.5.9),
-               libgexiv2-dev (>= 0.4.90),
-               libgphoto2-dev (>= 2.4.2),
-               libsoup2.4-dev (>= 2.26.0),
-               libxml2 (>= 2.6.32),
-               libwebkitgtk-3.0-dev (>= 1.4.0),
-               libgudev-1.0-dev (>= 145),
-               libraw-dev (>= 0.14),
-               libjson-glib-dev,
-               libgstreamer1.0-dev (>= 1.0.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
-               librest-dev,
-               libaccounts-glib-dev,
-               libsignon-glib-dev (>= 1.10daily13.06.25-0ubuntu3),
-               libunity-dev,
-               python-scour,
-               desktop-file-utils,
-               intltool,
-               gnome-doc-utils,
-Standards-Version: 3.9.4
-Homepage: http://yorba.org/shotwell/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Build-Depends:
+ debhelper (>= 9),
+ desktop-file-utils,
+ gnome-doc-utils,
+ libexif-dev (>= 0.6.16),
+ libgee-0.8-dev (>= 0.8.5),
+ libgexiv2-dev (>= 0.4.90),
+ libglib2.0-dev (>= 2.30.0),
+ libgphoto2-dev (>= 2.4.2),
+ libgstreamer-plugins-base1.0-dev (>= 1.0.0),
+ libgstreamer1.0-dev (>= 1.0.0),
+ libgtk-3-dev (>= 3.12.2),
+ libgudev-1.0-dev (>= 145),
+ libjson-glib-dev,
+ libraw-dev (>= 0.14),
+ librest-dev (>= 0.7),
+ libsoup2.4-dev (>= 2.26.0),
+ libsqlite3-dev (>= 3.5.9),
+ libwebkitgtk-3.0-dev (>= 1.4.0),
+ libxml2 (>= 2.6.32),
+ m4,
+ valac (>= 0.22.0),
+ libaccounts-glib-dev,
+ libsignon-glib-dev (>= 1.12),
+ libunity-dev,
+ python-scour,
+ intltool
+Standards-Version: 3.9.6
+Homepage: https://wiki.gnome.org/Apps/Shotwell
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu
 XS-Testsuite: autopkgtest
