=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --with-scour

override_dh_auto_configure:
	./configure --debug --prefix=/usr --libexec=/usr/lib/shotwell --disable-schemas-compile --disable-icon-update --unity-support

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	cd po; intltool-update --pot --verbose -g=shotwell
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=shotwell-dbg
