=== test/Makefile ===
test: NaturalCollate-Test.vala ../src/NaturalCollate.vala
	valac NaturalCollate-Test.vala ../src/NaturalCollate.vala && ./NaturalCollate-Test
clean:
	rm NaturalCollate-Test
