=== plugins/shotwell-publishing/Makefile ===

PLUGIN := shotwell-publishing

PLUGIN_PKGS := \
	gtk+-3.0 \
	libsoup-2.4 \
	libxml-2.0 \
	webkit2gtk-4.0 \
	gexiv2 \
	rest-0.7 \
	gee-0.8 \
	json-glib-1.0

SRC_FILES := \
	shotwell-publishing.vala \
	FacebookPublishing.vala \
	PicasaPublishing.vala \
	FlickrPublishing.vala \
	YouTubePublishing.vala \
	PiwigoPublishing.vala \
	../../src/util/string.vala \
	../common/RESTSupport.vala

RC_FILES := \
	facebook.png \
	facebook_publishing_options_pane.glade \
	flickr.png \
	flickr_publishing_options_pane.glade \
	flickr_pin_entry_pane.glade \
	picasa.png \
	picasa_publishing_options_pane.glade \
	piwigo.png \
	piwigo_authentication_pane.glade \
	piwigo_publishing_options_pane.glade \
	youtube.png \
	youtube_publishing_options_pane.glade

include ../Makefile.plugin.mk
