=== debian/changelog ===
shotwell (0.22.0+git20160108.r1.f2fb1f7-0ubuntu1) xenial; urgency=medium

  * New upstream git snapshot.
  * debian/control: Switch BDs to webkit2 - this snapshot contains a port.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 08 Jan 2016 13:28:46 +0000

shotwell (0.22.0-2ubuntu1) xenial; urgency=medium

  * Resynchronize on Debian, remaining changes
    - debian/control, debian/test/*:
      + Add autopilot autopkgtest to check import from a libgphoto2
        camera (simulated with umockdev, recorded from a Canon
        PowerShot SX200).
        debian/tests/import will run under a local session D-BUS
        and xvfb, but you can also run the test interactively with
        "cd debian/tests; autopilot run autopilot_tests".
    - debian/control:
      + Suggest account plugins.
    - debian/control, debian/rules:
      + Run intltool-update on build.
      + Build-Depends on intltool.
    - debian/patches/02_desktop_translations.patch:
      + Don't translate the .desktop files, they work with gettext
        and the build system translates them all into English.
    - debian/patches/06_uoa.patch, debian/control:
      + Add Ubuntu Online Accounts support.
      + Build-Depends on libaccounts-glib-dev and libsignon-glib-dev.
    - debian/patches/no_headerbar.patch:
      + Don't use GtkHeaderBar on dialogs if the gtk-dialogs-use-header 
        setting is not set (LP: #1456965)
    - debian/patches/update_translation_list.patch: 
      + Don't list deprecated source to translate.
    - debian/patches/libexec.patch, debian/rules:
      + Dropped, upstream supports libexecdir now.
      + Set libexec to /usr/lib/shotwell.
    - debian/control, debian/rules:
      + Build with Unity support.
      + Build-Depends on libunity-dev.
      + configure --disable-icon-update
    - debian/control, debian/rules:
      + Build with scour for SVG optimization.
      + Build-Depends on python-scour.
    - clean out thumbnailer hacks, that's not user friendly and not
      something that should be recommended doing

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Oct 2015 17:11:59 +0100

shotwell (0.22.0-2) unstable; urgency=medium

  * debian/control:
    - Add dconf-cli to Depends for binary package shotwell (Closes: #783578).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 30 Apr 2015 08:07:46 +0200

shotwell (0.22.0-1) unstable; urgency=low

  * New upstream release:
    - Correct edited file handling (Closes: #747443).
    - Better handling of imported files (Closes: #775950).
  * Refresh patches:
    - debian/patches/hardening.patch
    - debían/patches/500-buildflags.patch
  * Remove patch applied upstream:
    - debian/patches/505-fix-viewer-desktop-file.patch
  * For better debugging:
    - shotwell-dbg:
      + Add the temporary *.c files produced by valac
        to temp-source.tar.xz placed in doc directory.
    - debian/rules:
      + Add --debug as configure parameter.
      + Add override_dh_compress to exclude the *.tar.xz from compress.
    - debian/docs:
      + Move to shotwell.docs.
    - New debian/shotwell-dbg.README.Debian.
    - New link from debian/shotwell.README.Debian to
      debian/shotwell-common.README.Debian.
  * debian/control:
    - For the libgphoto2 transition, set the minimum version for
      libgphoto2-dev in Build-Depends to 2.5.4.
  * New bug reporting:
    - New debian/shotwell.bug-script.
    - New debian/shotwell.install to install the apport file.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 06 Apr 2015 07:59:33 +0200

shotwell (0.20.2-2) unstable; urgency=low

  * Add user scripts to replace shotwell-video-thumbnailer
    if the thumbnailer is broken (Closes: #768637):
    - New files:
      + debian/shotwell.README.Debian
      + debian/replace_thumbnailer.sh
      + debian/shotwell.postrm
      + debian/shotwell.examples
    - Thanks to Teo Romera <teoromera@gmail.com>.
  * debian/patches:
    - Add 505-fix-viewer-desktop-file.patch to correct build of
      shotwell-viewer.desktop (Closes: #776745).
      + Thanks to Raphaël Halimi <raphael.halimi@gmail.com>.
    - Rewrite 500-buildflags.patch to prevent FTBFS on
      architectures i386 and powerpc.
  * debian/control:
    - Add Build-Depends libicu-dev for missing unicode/ucnv.h.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 02 Feb 2015 05:16:56 +0100

shotwell (0.20.2-1) unstable; urgency=medium

  * New upstream release (Closes: #769025).
  * debian/control:
    - Remove useless ${shlibs:Depends} from shotwell-dbg.
  * debian/rules:
    - Remove useless hardening parts.
  * New debian/patches/500-buildflags.patch:
    - Poke requested Debian buildflags for hardening into Makefile.
  * Add year 2015 for debian/* to debian/copyright.
  * Remove debian/source/options because compression xz is standard now.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 07 Jan 2015 14:23:48 +0100
