=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libgee-0.8-dev (>= 0.8.5),
  libgexiv2-dev (>= 0.4.90),
  libglib2.0-dev (>= 2.30.0),
- libgphoto2-dev (>= 2.4.2),
+ libgphoto2-dev (>= 2.5.4),
  libgstreamer-plugins-base1.0-dev (>= 1.0.0),
  libgstreamer1.0-dev (>= 1.0.0),
  libgtk-3-dev (>= 3.12.2),
@@ -21,7 +21,7 @@
  librest-dev (>= 0.7),
  libsoup2.4-dev (>= 2.26.0),
  libsqlite3-dev (>= 3.5.9),
- libwebkitgtk-3.0-dev (>= 1.4.0),
+ libwebkit2gtk-4.0-dev,
  libxml2 (>= 2.6.32),
  m4,
  valac (>= 0.22.0),
@@ -32,16 +32,18 @@
  intltool
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Shotwell
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu
-XS-Testsuite: autopkgtest
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/shotwell.git/
+Vcs-Git: git://anonscm.debian.org/collab-maint/shotwell.git
 
 Package: shotwell
 Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         shotwell-common (= ${source:Version}),
-         librsvg2-common,
-         dbus-x11
+Depends: 
+ ${shlibs:Depends},
+ ${misc:Depends},
+ shotwell-common (= ${source:Version}),
+ dconf-cli,
+ dbus-x11,
+ librsvg2-common
 Suggests: account-plugin-facebook, account-plugin-google, account-plugin-flickr, unity-control-center-signon
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop
@@ -54,8 +56,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: shotwell
-Breaks: shotwell (<< 0.14.1-1)
-Replaces: shotwell (<< 0.14.1-1)
+Breaks: shotwell (<< 0.12.3-1)
+Replaces: shotwell (<< 0.12.3-1)
 Description: digital photo organizer - common files
  Shotwell is a digital photo organizer designed for the GNOME desktop
  environment. It allows you to import photos from disk or camera, organize
@@ -69,8 +71,7 @@
 Priority: extra
 Section: debug
 Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          shotwell (= ${binary:Version})
 Description: digital photo organizer - debugging symbols
  Shotwell is a digital photo organizer designed for the GNOME desktop
