=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --with-scour

override_dh_auto_configure:
	./configure --prefix=/usr --libexec=/usr/lib/shotwell --disable-schemas-compile --disable-icon-update --unity-support

override_dh_install:
	dh_install --fail-missing
	# install temporary c files for debuging
	mkdir -p debian/shotwell-dbg/usr/share/doc/shotwell-dbg/temp-source
	find -type f -name '*.c' -exec cp --parent '{}' debian/shotwell-dbg/usr/share/doc/shotwell-dbg/temp-source/ ';'
	cd debian/shotwell-dbg/usr/share/doc/shotwell-dbg && \
	tar cJf temp-source.tar.xz temp-source
	rm -fr debian/shotwell-dbg/usr/share/doc/shotwell-dbg/temp-source
	cd po; intltool-update --pot --verbose -g=shotwell

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=shotwell-dbg

override_dh_compress:
	dh_compress -X.tar.xz
