=== debian/tests/control ===
Tests: import
Depends: shotwell,
 xvfb,
 dbus-x11,
 umockdev,
 autopilot-desktop (>= 1.5.0+14.10.20140526),
 libautopilot-gtk,
 at-spi2-core,
