=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/shotwell/([\d\.]+[02468])/shotwell-([\d\.]+)\.tar\.xz
